<?php

/*
=====================================================================

  프로젝트 이름 : 피리 카페 심플

  만든사람 : 피리 PIREE ( tosports@naver.com )

  홈페이지 : https://piree.kr/nett_dev

  작성날짜 : 2024년 04월 05일 금요일 오후 15시 14분 / 맑음, 18.4, 쾌적, 16, 7, 19%, 30%, 0.5ms / 양호, 35, 19

  저 작 권 : Copyright ⓒ 2024 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 NETT > 프로그램 > 피리 NETT 단어 관리 > 단어 삭제 > 처리하기
=====================================================================


*/

  include_once('./_common.php');

  $get__p770000_conf = 0;

  $get__p770099 = 1;

  $prog_config_page = 0;

  include_once( piree__path($piree_prog_a[770099]['num'], 'config') );

  include_once( "./_CAFE.MANAGE.INFO.CHECK.inc.php" );

  $piree_cafe_regist_time_n = G5_SERVER_TIME;

  $return_url_s = PIREE_CAFE_MANAGE_URL .'/search.keyword.php?piree_cafe_n='. $piree_cafe_n;

  $keyword_s = isset($_GET['keyword_s']) ? strip_tags($_GET['keyword_s']) : '';

  IF ( !$keyword_s )
  {
    alert("[ 검색어 ]를 입력해 주세요.", $return_url_s);
  }

  $keyword_s = str_replace(" ", "", $keyword_s);
  $keyword_s = str_replace(",", "", $keyword_s);
  $keyword_s = str_replace(".", "", $keyword_s);
  $keyword_s = str_replace("/", "", $keyword_s);
  $keyword_s = str_replace("-", "", $keyword_s);
  $keyword_s = str_replace("_", "", $keyword_s);

  $save_keyword_3_s = utf8_strcut($keyword_s, 3, '');

  $sql_select  = "SELECT * FROM `". $piree['cafe_keyword'] ."` ";
  $sql_select .= "WHERE `cfkw_cafe_n` = '". $piree_cafe_n ."' AND `cfkw_keyword_s` = '". $keyword_s ."'";
  $keyword_row = sql_fetch($sql_select);

  IF ( !$keyword_row['cfkw_cafe_n'] || !$keyword_row['cfkw_keyword_s'] )
  {

    alert("DATABASE에 없는 [ 검색어 ] 입니다.", $return_url_s);

  }

//( piree__path($piree_prog_a[770000]['num'], 'save.lib.php') );

    $sql_delete  = "DELETE FROM `". $piree['cafe_keyword'] ."` ";
    $sql_delete .= "WHERE `cfkw_cafe_n` = '". $piree_cafe_n ."' AND `cfkw_keyword_s` = '". $keyword_s ."'";

    IF ( !sql_query($sql_delete) )
    {

      alert("검색어 [ ". $piree_cafe_name_s ." ( ". $piree_cafe_code_c ." ) ] 의\\n\\n ROW를 삭제하지 못했습니다.", $return_url_s);

    }

    $sql_select  = "SELECT COUNT(*) FROM `". $piree['cafe_keyword'] ."` ";
    $sql_select .= "WHERE `cfkw_cafe_n` = '". $piree_cafe_n ."'";
    $keyword_t = (int)sql_efv($sql_select);

    $sql_update  = "UPDATE `". $piree['cafe'] ."` SET ";
    $sql_update .= "`cafe_keyword_t` = '". $keyword_t ."' ";
    $sql_update .= "WHERE `cafe_row_n` = '". $piree_cafe_n ."'";

    IF ( !sql_query($sql_update) )
    {

      alert("카페 [ ". $piree_cafe_name_s ." ( ". $piree_cafe_code_c ." ) ] 의\\n\\n검색어 수를 새로고침하지 못했습니다.", $return_url_s);

    }

  $go_url_s = PIREE_CAFE_MANAGE_URL .'/search.keyword.php?piree_cafe_n='. $piree_cafe_n;

  alert("피리 카페 검색어 [ ". $keyword_s ." ] 를 삭제 하였습니다.", $go_url_s);
  EXIT;

  goto_url($go_url_s);
  EXIT;

?>